#
# Copyright 3D Control Systems, Inc. All Rights Reserved 2017-2019. Built in San Francisco.
#
# This software is distributed under commercial non-GPL license for personal, educational,
# corporate or any other use. The software as a whole or any parts of that are prohibited
# for distribution and/or use without obtaining license from 3D Control Systems, Inc.
#
# If you do not have the license to use this software, please delete all software files
# immediately and contact sales to obtain the license: sales@3dprinteros.com.
# If you are unsure about the licensing please contact directly our sales: sales@3dprinteros.com.

import os
import sys

if __name__ == "__main__":
    directory = os.path.dirname(os.path.abspath(__file__))
    sys.path.append(os.path.join(directory, '../../..'))
    import config
    settings = config.get_settings()
    settings['plugins']['allow_active_plugins'] = True
    plugin = {
        "esocket_id": 1,
        "passcode": "",
        "port": 5050,
        "timeout": 10,
        "url": "127.0.0.1"
    }
    if not settings.get('esocket-printrun'):
        settings['esocket-printrun'] = plugin
    print settings
    config.Config.instance().save_settings(settings)
